#include <bits/stdc++.h>

using namespace std;

string a[11], b[11];
int p;

int main(){
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cin >> a[0] >> a[1] >> a[2];
	p = 0;
	for(int i =0 ; i< 5; ++i){
		b[i] = "";
	}
	for(int i = 0; i < 3; ++i){
		for(int j = 0; j < 3; ++j){
			for(int k = 0; k < 3; ++k){
				if(i == j or i == k or j == k){
					continue;
				}
				b[p] += a[i];
				b[p] += a[j];
				b[p] += a[k];
				++p;
			}
		}
	}
	sort(b, b+p);
	cout << b[p-1];
}